/**************************************************/
/*		Header fuer KS0108					*/
/*										*/
/**************************************************/

// Includes
#include "font.h"
#include <mega8535.h>

// Externe Funktionen

void init_lcd();
void cls_lcd();
void picture_lcd (u8*);
void locate_lcd (u8,u8);
void rect_lcd (u8,u8,u8,u8);
void putchar_lcd (u8,flash FONT_DEF*);
void printf_lcd (u8*,flash FONT_DEF*);

// Hardware

#define DI DDRA.0
#define RW DDRA.1
#define EN DDRA.2
#define CS1 DDRA.3
#define CS2 DDRA.4
#define RST DDRA.5
                
// LCD Register

#define X_ADRESS 	0xB8
#define Y_ADRESS 	0x40
#define START_LINE 	0xC0
#define DISPLAY_ON  0x3F
#define DISPLAY_OFF 0x3E

// General

#define RIGHT 0
#define LEFT 1
#define BUSY 0x80